/// <reference types="react" />
export interface IWindowEventHandlerProps<K extends keyof WindowEventMap> {
    eventName: K;
    listener(ev: WindowEventMap[K]): void;
    options?: AddEventListenerOptions;
}
export declare function useWindowEventHandler<K extends keyof WindowEventMap>(eventName: K, listener: (ev: WindowEventMap[K]) => void, options?: AddEventListenerOptions): void;
export declare function WindowEventHandler<K extends keyof WindowEventMap>({ eventName, listener, options, }: IWindowEventHandlerProps<K>): JSX.Element;
export default WindowEventHandler;
